Subject: Re: [hybi] The charter vs the specification

From: "Shelby Moore" <[email-masked]>
Date: Sat, 4 Sep 2010 18:57:12 -0400

Thanks for raising the relevant issue:

> Unlike the stated goal of HyBi, the goal of WebSockets is to permit
> sharing of a TCP port between an HTTP service and a non-HTTP,
> bidirectional, binary protocol service.
> Sorry if I'm [...] loony

1) Where in the HTTP specification does it say that HTTP clients can not
interopt with non-HTTP protocols?[1]

2) Where in the HTTP specification does it say that HTTP clients can not
also run an HTTP server?[1]

3) Is not the loading of a <script> which takes a client side callback
function in the GET vars of the script URL a cross-protocol attack?[1]

[1] http://www.ietf.org/mail-archive/web/hybi/current/msg04043.html